Subject: Re: [PATCH][NET_SCHED] sch_api: fix qdisc_tree_decrease_qlen() loop

From: Jarek Poplawski <[email-masked]>
Date: Tue, 15 Apr 2008 05:32:54 +0000

On Mon, Apr 14, 2008 at 03:11:02PM -0700, David Miller wrote:
...
> > Jarek Poplawski wrote:
...
> > > After this fix qdisc_lookup() is omitted both for ingress and root
> > > parents, but looking for root is only wasting a little time here...

...Actually, there is yet a possibility that somebody uses ffff:
handle for a qdisc (not ingress), which could make here a little
difference, so this place could be improved for this case (even
with something like my earlier debugging patch in this thread,
which BTW could be a safety for maybe some other quirks here),
but it seems it would be better to discourage using this handle
for anything but ingress.

Jarek P.